Subject: Re: When I use ichache_enable or dcache_enable in uboot,it crash

From: "enorm" <[email-masked]>
Date: Thu, 7 Dec 2006 20:20:36 +0800

disable icache& dcache at the beginning is essential or else your program 
will crash. Only when you do the proper initiation, can you enable them. For 
details you can refer to you reference manual.

----- Original Message ----- 
From: "陈希" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Thursday, December 07, 2006 5:52 PM
Subject: When I use ichache_enable or dcache_enable in uboot,it crash

> Hi,
>
> In the very begin of the uboot, the dcache is disable and the icache
> is enable. The code runs in flash nomarlly. Then the uboot should jump to
> ram and if I don't  disable icache the uboot will crash. I can't enable 
> the
> dcache too. The more serious problem is that when I boot the linux kernel
> ,it will stop at init_mmu. I think it is the same reason. Please help me.
>
> Thanks & Br,
> Andy
>
>

--------------------------------------------------------------------------------

> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded